From 7db6bdf4abcf524115be2cf5659ed540cef074c5 Mon Sep 17 00:00:00 2001
From: Lasse Collin <lasse.collin@tukaani.org>
Date: Tue, 10 Jan 2012 17:13:03 +0200
Subject: [PATCH] Tests: Fix a compiler warning with _FORTIFY_SOURCE.

Reported here:
http://sourceforge.net/projects/lzmautils/forums/forum/708858/topic/4927385
---
 tests/create_compress_files.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

diff --git a/tests/create_compress_files.c b/tests/create_compress_files.c
index 44367d8..bd5b4ef 100644
--- a/tests/create_compress_files.c
+++ b/tests/create_compress_files.c
@@ -79,7 +79,8 @@ static void
 write_abc(FILE *file)
 {
	for (size_t i = 0; i < 12345; ++i)
-		fwrite("abc\n", 4, 1, file);
+		if (fwrite("abc\n", 4, 1, file) != 1)
+			exit(1);
 }


--
1.7.6
